<?php
// Añado bloque de textos
$tpl->addBlockfile('TEXTOSSECCIONES', 'tTextosSecciones', 'otros/textos.tpl');

// TEXTOS GENERALES DE LA SECCIÓN
$texto_general = $message->getTextGeneral($section_message);

if ($texto_general != '') {
    $tpl->touchBlock('tTextosGeneralesSeccion');

    foreach ($texto_general as $texto) {
        $tpl->setVariable('TEXTOGENERAL', $language->getString($texto));
        $tpl->parse('tTextoGeneralSeccion');
    }
} else {
    $tpl->hideBlock('tTextosGeneralesSeccion');
}

// TEXTOS DEL SERVICIO
$texto_servicio = $message->getTextService($section_message, $servicio_texto);

if ($texto_servicio != '') {
    $tpl->touchBlock('tTextosServicio');

    foreach ($texto_servicio as $texto) {
        $tpl->setVariable('TEXTOSERVICIO', $language->getString($texto));
        $tpl->parse('tTextoServicio');
    }
} else {
    $tpl->hideBlock('tTextosServicio');
}

$tpl->touchBlock('tTextosSecciones');
